Notes de mise à jour de Moodle 2.4.9

Attention : vous consultez actuellement la documentation dédiée aux versions 2.x de Moodle. La documentation pour les versions 3.x de Moodle est consultable ici : Notes de mise à jour de Moodle 2.4.9.

Cette version de Moodle n'est plus supportée ! Vous devriez mettre à jour vers une version supportée de Moodle.

Date de sortie : 10 mars 2014

Consulter la liste des détails sur les évolutions et corrections de bogues de cette version 2.4.9 (en anglais).

Sécurité

  • MSA-14-0004 Filtrage incorrect dans les Test
  • MSA-14-0005 Problème d'accès dans l'activité Feedback
  • MSA-14-0006 Problème de capacité dans le Chat
  • MSA-14-0007 Problème d'accès dans l'activité Wiki
  • MSA-14-0008 Injection de code indirecte à distance (XSS) dans Flowplayer
  • MSA-14-0009 Fuite d'information d'identité dans les activités Forum et Test
  • MSA-14-0010 Fuite d'information d'identité dans le dépôt Alfresco
  • MSA-14-0011 Exécution de code arbitraire à distance dans les inscriptions IMS

Corrections et améliorations

  • MDL-44018 - Les champs variants de question_attempts sont maintenant correctement sauvegardés
  • MDL-43306 - Les sauvegardes n'introduisent plus de doublon de gradeitem sortorders lors de la restauration

Voir aussi